"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.aptos = void 0;
/** Platform and protocol definitions for Aptos */
const aptos = async () => {
    const _aptos = await import("@wormhole-foundation/sdk-aptos");
    return {
        Address: _aptos.AptosAddress,
        ChainContext: _aptos.AptosChain,
        Platform: _aptos.AptosPlatform,
        Signer: _aptos.AptosSigner,
        getSigner: _aptos.getAptosSigner,
        protocols: {
            core: () => import("@wormhole-foundation/sdk-aptos-core"),
            tokenbridge: () => import("@wormhole-foundation/sdk-aptos-tokenbridge"),
        },
    };
};
exports.aptos = aptos;
//# sourceMappingURL=aptos.js.map